function [S,Svalues]=stab_bmm_singlerun(Features,nClusters,beta)
  
  % Number of resamples:
  r=10;
  % Number of random labeling for normalization of index:
  s=r;
  % Number of sampler iterations:
  nIterations=200;

  cluster_alg=@(Features,nClusters,beta,nIterations)(bmmsample(Features,nClusters,'beta',beta,'nIterations',nIterations,'show',0));
  classifier=@(X1,Y1,X2)(stab_classifier(@train_nearest_centroid,@stab_classify_centroid,X1,Y1,X2));
  subsampler=@rnd_split_subsample;
  
  [S,Svalues] = stability_index(Features,nClusters,beta,nIterations,cluster_alg,classifier,r,subsampler, s);
  
